<?php

namespace App\Http\Controllers;

use App\Article;
use App\Author;
use App\Book;
use App\Catagory;
use App\Publication;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Date;
use Illuminate\Support\Facades\File;

class AdminController extends Controller
{

    public function showHomePage(){
        return view('admin.home');
    }


    /*
     * showing create Author form
     * */
    public function showCreateAuthorForm(){

        return  view('admin.create_author' );
    }


    /*
     * creating new Author
     *
     * */
    public function CreateAuthor(Request $request){


        $author = new Author();
        $author->author_name = $request->name;
        $author->author_bio = $request->bio;
        $author->author_books = $request->books;
        $is_success = $author->save();

        if ($is_success){
            $request->session()->flash('message.level', 'success');
            $request->session()->flash('message.content', 'Author Created Successfully ');

            return redirect('/create_author_form');
        }else{
            $request->session()->flash('message.level', 'danger');
            $request->session()->flash('message.content','Failed To Create Author. Try later.');

            return redirect('/create_author_form');
        }

    }

    /*
    * showing create Publication form
    * */
    public function showCreatePublicationForm(){
        return  view('admin.create_publication');
    }


    /*
     * creating new Publication
     *
     * */
    public function CreatePublication(Request $request){

        $pub = new Publication();
        $pub->publication_name = $request['pub_name'];
        $pub->publication_address = $request['address'];
        $pub->publication_desc = $request['description'];

        $is_success = $pub->save();

        if ($is_success){
            $request->session()->flash('message.level', 'success');
            $request->session()->flash('message.content', 'Publication Created Successfully ');

            return redirect('/create_publication_form');
        }else{
            $request->session()->flash('message.level', 'danger');
            $request->session()->flash('message.content','Failed To Create Publication. Try later.');

            return redirect('/create_publication_form');
        }
    }


    /*
    * showing create Catagory form
    * */
    public function showCreateCatagoryForm(){

        $catagories = Catagory::select('*')->where('parent_id','0')->get();
        return  view('admin.create_catagory', compact('catagories'));
    }


    /*
     * creating new Catagory
     *
     * */
    public function CreateCatagory(Request $request){

        $catagory = new Catagory();
        $catagory->catagory_name= $request['cat_name'];
        $catagory->parent_id= '0';

        $is_success = $catagory->save();

        if ($is_success){
            $request->session()->flash('message.level', 'success');
            $request->session()->flash('message.content', 'Catagory Created Successfully ');

            return redirect('/create_catagory_form');
        }else{
            $request->session()->flash('message.level', 'danger');
            $request->session()->flash('message.content','Failed To Create Catagory. Try later.');

            return redirect('/create_catagory_form');
        }
    }

    /*
     * creating new Sub Catagory
     *
     * */
    public function CreateSubCatagory(Request $request){

        echo $request['parent_id'];

        $sub_cat = new Catagory();
        $sub_cat->catagory_name = $request['sub_cat_name'];
        $sub_cat->parent_id = $request['parent_id'];
        $is_success = $sub_cat->save();

        if ($is_success){
            $request->session()->flash('message.level', 'success');
            $request->session()->flash('message.content', 'Sub Catagory Created Successfully ');
            return redirect('/create_catagory_form');

        }else{
            $request->session()->flash('message.level', 'danger');
            $request->session()->flash('message.content','Failed To Create Sub Catagory. Try later.');
            return redirect('/create_catagory_form');

        }
    }


    public function showBookDetailsForm(){

        $authors = Author::select('*')->get();
        $publications = Publication::select('*')->get();
        $catagories = Catagory::select('*')->where('parent_id',  '0')->get();
        $tags = Catagory::select('*')->get();
        $last_row = Book::select("id")->orderBy('id',"DESC")->first();
        if($last_row == null){
            $next_id = 1;
        }else{
            $next_id =  $last_row->id+1;
        }

        return view('admin.create_book_details', compact('authors', 'publications','catagories','tags', 'next_id'));
    }


    /*
     * getting sub catagories when catagory selected
     *
     * */
    public function getSubCatagories($catagory_id){


        $sub_catagories = Catagory::selectraw('*')->where('parent_id', $catagory_id)->get();
        $count = $sub_catagories->count();

        if ($count>0){
            echo '<option value="">-- Please select sub category --</option>';
            foreach ($sub_catagories as $sub){
                echo '<option value="'.$sub['id'].'">'.$sub['catagory_name'].'</option>';
            }
        }else{
            echo '<option value="">Sub Catagory not available</option>';
        }
    }



    public function CreateNewBook(Request $request){


      //creating book_id
        $book_name = str_replace(' ', '_', $request->book_name);
        $request->book_id = $book_name.'_'.$request->book_id;

        // getting and saving pdf to the directory
        $targetfolder = "pdfs/";
        $pdf = $request->file('book_pdf');
        $pdf_name = $request->book_id.'.'.$pdf->getClientOriginalExtension();
        $targetfolder = $targetfolder . $pdf_name ;
        $pdf_saved = move_uploaded_file($_FILES['book_pdf']['tmp_name'], $targetfolder);


      // getting tags
        $tags='';
        foreach ($request['tags'] as $tag)
        {
            $tags.=','.$tag;
        }
        $request['tags'] = $tags;



        // getting author id
        if (empty($request->author_id)){
            $author_name = $request->author_name;

            $author = new Author();
            $author->author_name = $author_name;
            $author->save();

            $request->author_id = $author->id;
        }


        // getting publication id
        if (empty($request->publication_id)){
            $pub = new Publication();
            $pub->publication_name = $request->publication_name;
            $pub->save();

            $request->publication_id = $pub->id;
        }


        /* for making new directory */
        $target = "book_images/"; //target name

        /* getting images and setting names for them */
        $image = $request->file('image');
        $title = str_replace(' ', '_', $request->book_name);

        // creating new name for image to save
        $book_id = $request->book_id;
        $imageName = $book_id.'.'.$image->getClientOriginalExtension();

        //method for saving the image into directory
        $this->saveImageToDir($image, $target, $imageName);



        // saving book
        $book = new Book();
        $book->book_id = $request->book_id;
        $book->book_name = $request->book_name;
        $book->author_id = $request->author_id;
        $book->publication_id = $request->publication_id;
        $book->translater = $request->translater;
        $book->edition = $request->edition;
        $book->published_date = $request->published_date;
        $book->total_parts = $request->total_parts;
        $book->catagory_id = $request->sub_catagory;
        $book->price = $request->price;
        $book->description = $request->description;
        $book->image_folder = $target;
        $book->image_name = $imageName;
        $book->pdf_folder = "pdfs/";
        $book->pdf_name = $pdf_name;
        $book->tags = $request['tags'];
        $is_success = $book->save(); // inserting

        if ($is_success){
            $request->session()->flash('message.level', 'success');
            $request->session()->flash('message.content', 'Book Created Successfully ');
            return redirect('/book_details_form');

        }else{
            $request->session()->flash('message.level', 'danger');
            $request->session()->flash('message.content','Failed To Create Book. Try later.');
            return redirect('/book_details_form');

        }

    }



    /*
     * method for saving the image into directory
     *
     * */

    public function saveImageToDir($image, $target, $imageName){

        $tmpName = $image->getPathname();
        $imageType = $image->getClientOriginalExtension();

        /* new file name */
        $path = $target.$imageName;

        /* read binary data from image file */
        $imgString = file_get_contents($tmpName);

        /* create image from string */
        $image = imagecreatefromstring($imgString);

        /* Save image */
        switch (strtolower($imageType)) {
            case 'jpeg':
                imagejpeg($image, $path, 100);
                break;
            case 'jpg':
                imagejpeg($image, $path, 100);
                break;
            case 'png':
                imagepng($image, $path, 0);
                break;
            case 'gif':
                imagegif($image, $path);
                break;
            default:
                exit;
                break;
        }
    }






    public function showBookDetails(){


        $books = Book::select('*')
            ->join('author','books.author_id', 'author.id')
            ->join('publication','books.publication_id', 'publication.id')
            ->join('catagory','books.catagory_id', 'catagory.id')
            ->get();
        return view('admin.all_book_details', compact('books'));
    }

    /*
     * deleting book
     *
     * */
    public function deleteBook($book_id){

        $book = Book::select('*')->where('id',$book_id)->first();

        $image_folder = $book->image_folder;
        $image_name =$book->image_name;

        /* Deleting image */
        $this->deleteFile($image_name, $image_folder);

        /* Deleting PDF */
        $pdf_folder = $book->pdf_folder;
        $pdf_name =$book->pdf_name;
        $this->deleteFile($pdf_name, $pdf_folder);

        // deleting info
        $is_deleted = Book::where('id', $book_id)->delete();


        if ($is_deleted){
            session()->flash('message.level', 'success');
            session()->flash('message.content', 'Book Deleted Successfully');
            return redirect('/admin_book_details');

        }else{
            session()->flash('message.level', 'danger');
            session()->flash('message.content', 'Failed To Delete Book. Try Later');
            return redirect('/admin_book_details');

        }

    }


    /*
     * showing edit book details form
     * */
    public function showEditBookForm($book_id){



        $book = Book::select('*')->where('book_id', $book_id)->first();
        $book_author = Author::select("*")->where('id',$book->author_id)->first();
        $book_publication = Publication::select("*")->where('id',$book->publication_id)->first() ;
        $book_catagory = Catagory::select("*")->where('id',$book->catagory_id)->first();
        $cat = Catagory::select("*")->where('id',$book_catagory->parent_id)->first();
        $book_tags = $book->tags;
        $all_tags = explode(',', $book_tags);

        $authors = Author::select('*')->get();
        $publications = Publication::select('*')->get();
        $catagories = Catagory::select('*')->where('parent_id',  '0')->get();
        $tags = Catagory::select('*')->get();
        $next_id =  $book->id;

        return view('admin.edit_book_details', compact('authors', 'publications','catagories', 'tags', 'next_id', 'book','book_author', 'book_publication','book_catagory','cat', 'all_tags'));

    }


    /*
     * editing book details
     *
     * */
    public  function  editBookDetails(Request $request){

        $book_name = str_replace(' ', '_', $request->book_name);
        $request->book_id = $book_name.'_'.$request->book_id;


        // getting tags
        $tags='';
        foreach ($request['tags'] as $tag)
        {
            $tags.=','.$tag;
        }
        $request['tags'] = $tags;



        // getting author id
        if (empty($request->author_id)){
            $author_name = $request->author_name;

            $author = new Author();
            $author->author_name = $author_name;
            $author->save();

            $request->author_id = $author->id;
        }


        // getting publication id
        if (empty($request->publication_id)){
            $pub = new Publication();
            $pub->publication_name = $request->publication_name;
            $pub->save();

            $request->publication_id = $pub->id;
        }


        $targetfolder = "pdfs/";
        if ($request->file('book_pdf') != null){

            //deleting old pdf
            $this->deleteFile($request->old_pdf_name,$request->old_pdf_folder);

            // getting and saving pdf to the directory
            $pdf = $request->file('book_pdf');
            $pdf_name = $request->book_id.'.'.$pdf->getClientOriginalExtension();
            $targetfolder = $targetfolder . $pdf_name ;
            $pdf_saved = move_uploaded_file($_FILES['book_pdf']['tmp_name'], $targetfolder);


        }else{
            $pdf_name = $request->old_pdf_name;
        }



        /* for making new directory */
        $target = "book_images/"; //target name

        if ($request->file('image') !=null){

            /* getting images and setting names for them */
            $image = $request->file('image');
            $title = str_replace(' ', '_', $request->book_name);

            // creating new name for image to save
            $book_id = $request->book_id;
            $imageName = $book_id.'.'.$image->getClientOriginalExtension();

            //method for saving the image into directory
            $this->saveImageToDir($image, $target, $imageName);

        }else{
            $imageName =$request->old_image_name;

        }




        $is_success = Book::where('id', $request->id)->update(['book_id'=>$request->book_id, 'book_name'=>$request->book_name,'author_id'=>$request->author_id,
            'publication_id'=>$request->publication_id,'catagory_id'=>$request->sub_catagory,'price'=>$request->price,'description'=>$request->description,
            'tags'=>$request->tags, 'pdf_folder'=>'pdfs/','pdf_name'=>$pdf_name, 'image_folder'=>$target,'image_name'=>$imageName]);


        if ($is_success){
            session()->flash('message.level', 'success');
            session()->flash('message.content', 'Book Details Of "'.$request->book_name.'" Edited Successfully');
            return redirect('/admin_book_details');

        }else{
            session()->flash('message.level', 'danger');
            session()->flash('message.content', 'Failed To Edit Book Details. Try Later');
            return redirect('/admin_book_details');

        }

        //echo $request->book_id.', '.$request->author_id.', '.$request->publication_id;


    }





    /*
    * deleting image after editing
    * */
    public function deleteFile($file_name, $target){

        $file_path = $target.$file_name;

        if (File::exists($file_path)) {
            File::delete($file_path);

        }else{

        }

    }


    /*
     * getting book details to show in modal
     *
     * */
    public function getBookDetailsForModal($book_id){
        //echo $book_id;

        /* ;*/

        $book = Book::select('*')
            ->join('author','books.author_id', 'author.id')
            ->join('publication','books.publication_id', 'publication.id')
            ->join('catagory','books.catagory_id', 'catagory.id')
            ->where('book_id', $book_id)
            ->first();

        $output = '
            
            <div class="container">
            
                <div class="row" style="height: 100px">
                    <div class="col-lg-2">
                        <img src="'.$book->image_folder.'/'.$book->image_name.'" alt="" height="100px" width="100px">
                    </div>
                    
                    <div class="col-lg-10">
                        <h4>'.$book->book_name.'</h4>
                        <b>Author: </b>'.$book->author_name.'  <br>
                        <b>Publication: </b>'.$book->publication_name.'  <br>
                        <b>Price: </b>'.$book->price.'
                    </div>
                    
                </div>
                
                <h3>Description</h3>
                
                <div class="row">
                    <div class="col-lg-8">
                        '.$book->description.'
                    </div>
                </div>
                
                <h3>PDF:</h3> 
            
            <div>
        
        ';
        
        
        echo $output;
        //echo $book->book_name;
    }


    public function showCreateArticleForm(){

        $authors = Author::select('*')->get();
        $tags = Catagory::select('*')->get();
        $last_row = Article::select("id")->orderBy('id',"DESC")->first();
        $catagories = Catagory::select('*')->where('parent_id',  '0')->get();
        if($last_row == null){
            $next_id = 1;
        }else{
            $next_id =  $last_row->id+1;
        }

        return view('admin.create_article', compact('authors', 'tags', 'next_id', 'catagories'));
    }


    /*
     * creating new article
     *
     * */
    public function CreateNewArticle(Request $request){

        //creating book_id
        $article_name = str_replace(' ', '_', $request->article_name);
        $request->article_id = $article_name.'_'.$request->article_id;


        // getting tags
        $tags='';
        if (!empty($request['tags'])) {
            foreach ($request['tags'] as $tag) {
                $tags .= ',' . $tag;
            }
            $request['tags'] = $tags;
        }


        // getting author id
        if (empty($request->author_id)){
            $author_name = $request->author_name;

            $author = new Author();
            $author->author_name = $author_name;
            $author->save();

            $request->author_id = $author->id;
        }


        $article = new Article();
        $article->article_id = $request->article_id;
        $article->article_name = $request->article_name;
        $article->author_id = $request->author_id;
        $article->catagory_id = $request->sub_catagory;
        $article->published_date = $request->published_date;
        $article->description = $request->description;
        $article->article = $request->article;
        $article->tags = $request->tags;
        $is_success = $article->save();

        if ($is_success){
            session()->flash('message.level', 'success');
            session()->flash('message.content', 'Article Created Successfully');
            return redirect('/create_article_form');

        }else{
            session()->flash('message.level', 'danger');
            session()->flash('message.content', 'Failed To Create Article. Try Later');
            return redirect('/create_article_form');
        }
    }


    public function showPendingRequests(){
        return view('admin.pending_requests');
    }

    public function showRegisterForm(){
        return view('admin.register');
    }

    public function showBookReviews(){
        return view('admin.book_reviews');
    }

    public function showPendingContactUs(){
        return view('admin.pending_contact_us');
    }

}
