<?php

namespace App\Http\Controllers;

use App\Article;
use App\Author;
use App\Book;
use App\Catagory;
use App\Publication;
use Illuminate\Http\Request;

class WebController extends Controller
{


    public function showIndex(){

        $books = Book::select('*')->get();
        return view('web.index', compact('books'));
    }

    public function showReadBooksPage(){

        $catagories = Article::select('articles.catagory_id', 'catagory.catagory_name')
            ->join('catagory', 'articles.catagory_id', 'catagory.id')
            ->distinct('articles.catagory_id')
            ->get();
/*
        echo '<pre>';
        print_r($catagories[0]->catagory_name);
        echo '</pre>';
        die();*/

        $articles = Article::select('*')
            ->join('author','articles.author_id', 'author.id')
            ->where('catagory_id', $catagories[0]->catagory_id)
            ->get();

        return view('web.read_books', compact('articles','catagories'));
    }

    public function showBookReviewPage(){

        $books = Book::select('*')
            ->join('author','books.author_id', 'author.id')
            ->join('publication','books.publication_id', 'publication.id')
            ->join('catagory','books.catagory_id', 'catagory.id')
            ->get();

        return view('web.book_review', compact('books'));
    }

/*    public function showReadArticleDetails($article_id){

        $articles = Article::select('*')
            ->join('author','articles.author_id', 'author.id')
            ->get();

        $article_details = Article::select('*')
            ->join('author','articles.author_id', 'author.id')
            ->where('articles.article_id', $article_id)
            ->first();

        return view('web.details', compact('articles', 'article_details'));
    }*/

    public function showBiographyPage(){

        $authors = Author::select('*')->get();
        return view('web.biography', compact('authors'));
    }

    public function showBookshelfPage(){
        $books = array();



        $book1  = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'অ%')->get();
        $book2  = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'আ%')->get();
        $book3  = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'ই%')->get();
        $book4  = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'ঈ%')->get();
        $book5  = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'উ%')->get();
        $book6  = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'ঊ%')->get();
        $book7  = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'ঋ%')->get();
        $book8  = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'এ%')->get();
        $book9  = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'ঐ%')->get();
        $book10 = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'ও%')->get();
        $book11 = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'ঔ%')->get();
        $book12 = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'ক%')->get();
        $book13 = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'খ%')->get();
        $book14 = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'গ%')->get();
        $book15 = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'ঘ%')->get();
        $book16 = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'ঙ%')->get();
        $book17 = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'চ%')->get();
        $book18 = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'ছ%')->get();
        $book19 = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'জ%')->get();
        $book20 = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'ঝ%')->get();
        $book21 = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'ঞ%')->get();
        $book22 = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'ট%')->get();
        $book23 = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'ঠ%')->get();
        $book24 = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'ড%')->get();
        $book25 = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'ঢ%')->get();
        $book26 = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'ণ%')->get();
        $book27 = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'ত%')->get();
        $book28 = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'থ%')->get();
        $book29 = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'দ%')->get();
        $book30 = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'ধ%')->get();
        $book31 = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'ন%')->get();
        $book32 = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'প%')->get();
        $book33 = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'ফ%')->get();
        $book34 = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'ব%')->get();
        $book35 = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'ভ%')->get();
        $book36 = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'ম%')->get();
        $book37 = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'য%')->get();
        $book38 = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'র%')->get();
        $book39 = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'ল%')->get();
        $book40 = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'শ%')->get();
        $book41 = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'ষ%')->get();
        $book42 = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'স%')->get();
        $book43 = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'হ%')->get();
        $book44 = Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'ড়%')->get();
        $book45= Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'ঢ়%')->get();
        $book46= Book::select('id', 'book_id','book_name')->where('book_name', 'LIKE', 'য়%')->get();



        array_push($books, array('rec'=>'অ',  'book'=>$book1));
        array_push($books, array('rec'=>'আ',  'book'=>$book2));
        array_push($books, array('rec'=>'ই',  'book'=>$book3));
        array_push($books, array('rec'=>'ঈ',  'book'=>$book4));
        array_push($books, array('rec'=>'উ',  'book'=>$book5));
        array_push($books, array('rec'=>'ঊ',  'book'=>$book6));
        array_push($books, array('rec'=>'ঈ',  'book'=>$book7));
        array_push($books, array('rec'=>'এ',  'book'=>$book8));
        array_push($books, array('rec'=>'ঐ',  'book'=>$book9));
        array_push($books, array('rec'=>'ও',  'book'=>$book10));
        array_push($books, array('rec'=>'ঔ',  'book'=>$book11));
        array_push($books, array('rec'=>'ক',  'book'=>$book12));
        array_push($books, array('rec'=>'খ',  'book'=>$book13));
        array_push($books, array('rec'=>'গ',  'book'=>$book14));
        array_push($books, array('rec'=>'ঘ',  'book'=>$book15));
        array_push($books, array('rec'=>'ঙ',  'book'=>$book16));
        array_push($books, array('rec'=>'চ',  'book'=>$book17));
        array_push($books, array('rec'=>'ছ',  'book'=>$book18));
        array_push($books, array('rec'=>'জ',  'book'=>$book19));
        array_push($books, array('rec'=>'ঝ',  'book'=>$book20));
        array_push($books, array('rec'=>'ঞ',  'book'=>$book21));
        array_push($books, array('rec'=>'ট',  'book'=>$book22));
        array_push($books, array('rec'=>'ঠ',  'book'=>$book23));
        array_push($books, array('rec'=>'ড',  'book'=>$book24));
        array_push($books, array('rec'=>'ঢ',  'book'=>$book25));
        array_push($books, array('rec'=>'ণ',  'book'=>$book26));
        array_push($books, array('rec'=>'ত',  'book'=>$book27));
        array_push($books, array('rec'=>'থ',  'book'=>$book28));
        array_push($books, array('rec'=>'দ',  'book'=>$book29));
        array_push($books, array('rec'=>'ধ',  'book'=>$book30));
        array_push($books, array('rec'=>'ন',  'book'=>$book31));
        array_push($books, array('rec'=>'প',  'book'=>$book32));
        array_push($books, array('rec'=>'ফ',  'book'=>$book33));
        array_push($books, array('rec'=>'ব',  'book'=>$book34));
        array_push($books, array('rec'=>'ভ',  'book'=>$book35));
        array_push($books, array('rec'=>'ম',  'book'=>$book36));
        array_push($books, array('rec'=>'য',  'book'=>$book37));
        array_push($books, array('rec'=>'র',  'book'=>$book38));
        array_push($books, array('rec'=>'ল',  'book'=>$book39));
        array_push($books, array('rec'=>'শ',  'book'=>$book40));
        array_push($books, array('rec'=>'ষ',  'book'=>$book41));
        array_push($books, array('rec'=>'স',  'book'=>$book42));
        array_push($books, array('rec'=>'হ',  'book'=>$book43));
        array_push($books, array('rec'=>'ড়',  'book'=>$book44));
        array_push($books, array('rec'=>'ঢ়',  'book'=>$book45));
        array_push($books, array('rec'=>'য়',  'book'=>$book46));


        //return view('web.bookshelf', compact('book1', 'book2', 'book3', 'book4', 'book5', 'book6', 'book7', 'book8', 'book9', 'book10', 'book11', 'book12', 'book13', 'book14', 'book15', 'book16', 'book17', 'book18', 'book19', 'book20', 'book21', 'book22', 'book23', 'book24', 'book25'));
        return view('web.bookshelf', compact('books'));
    }

    /*

    public function showQuoran(){
        return view('web.quoran');
    }

    public function showHadis(){
        return view('web.hadis');
    }

    public function showAkayed(){
        //return view('web.hadis');
    }

    public function showFikah(){
        //return view('web.hadis');
    }

    public function showHistory(){
        //return view('web.hadis');
    }

    public function showBio(){
        //return view('web.hadis');
    }*/

    public function showReviewBookDetails($book_id){

        $book = Book::select('*')
            ->join('author','books.author_id', 'author.id')
            ->join('publication','books.publication_id', 'publication.id')
            ->join('catagory','books.catagory_id', 'catagory.id')
            ->where('book_id', $book_id)
            ->first();

        return view('web.book_details', compact('book'));
    }

    public function showWriterBook($book_name){


        $book = Book::select('*')
            ->join('author','books.author_id', 'author.id')
            ->join('publication','books.publication_id', 'publication.id')
            ->join('catagory','books.catagory_id', 'catagory.id')
            ->where('book_name', trim($book_name))
            ->first();

        return view('web.book_details', compact('book'));
    }

    public function showBook($book_id){

        $book = Book::select('*')->where('book_id', $book_id)->first();
        $book_author = Author::select("*")->where('id',$book->author_id)->first();
        $book_publication = Publication::select("*")->where('id',$book->publication_id)->first() ;
        $sub_catagory = Catagory::select("*")->where('id',$book->catagory_id)->first();
        $catagory = Catagory::select("*")->where('id',$sub_catagory->parent_id)->first();
        $book_tags = $book->tags;
        $all_tags = explode(',', $book_tags);

        return view('web.book', compact('book', 'book_author','book_publication','sub_catagory','catagory' ,'all_tags'));
    }

    public function showWriterDetails($author_id, $book_id){

        $author = Author::select('*')->where('id', $author_id)->first();
        $book_image = Book::select('image_folder','image_name')->where('book_id', $book_id)->first();
        $image_folder = $book_image->image_folder;
        $image_name = $book_image->image_name;

        $author_books = explode(',',$author->author_books);
        return view('web.writer_details', compact('author', 'author_books', 'image_folder', 'image_name'));
    }

    public function showWriterDetails1($author_id){

        $author = Author::select('*')->where('id', $author_id)->first();
        $image_folder = 'img/';
        $image_name = 'book.jpg';

        $author_books = explode(',',$author->author_books);
        return view('web.writer_details', compact('author', 'author_books', 'image_folder', 'image_name'));
    }

    public function getArticlesByCatagory($catagory_id){

        //echo $catagory_id;

        $articles = Article::select('*')->where('catagory_id', $catagory_id)->get();


        $output = '';

        foreach($articles as $article){
            $output.='
                <h2><a href="#" class="article_id" data-article="'.$article->article_id.'" >'.$article->article_name.'</a></h2>
                <p>'.$article->description.'</p>
            ';
        }

        echo $output;
    }


    public function showArticleDetails($article_id){

        $article_details = Article::select('*')
            ->join('author','articles.author_id', 'author.id')
            ->where('articles.article_id', $article_id)
            ->first();

        $output = '
            <h2>'.$article_details->article_name.'</h2>
            <p>'.$article_details->author_name.'</p>
            <p><img src="'.url('img/date.jpg').'" style="height: 45px ; width: 45px">'.$article_details->published_date.'</p>
            <p>'.$article_details->article.'</p>
        ';

        echo $output;

    }


    /*
     * searching book
     *
     * */
    public function searchBook(Request $request){

        if ($request->get('query')){
            $query = $request->get('query');

//            $data = Book::select('*')->where('book_name','LIKE', '%'.$query.'%')->get();

            $books = Book::select('book_id','book_name')->where('book_name','LIKE', '%'.$query.'%')->get();
            $articles = Article::select('article_id','article_name')->where('article_name','LIKE', '%'.$query.'%')->get();
            $catagories = Catagory::select('id','catagory_name')->where('catagory_name','LIKE', '%'.$query.'%')->where('parent_id','!=', '0')->get();
            $authors = Author::select('id','author_name')->where('author_name','LIKE', '%'.$query.'%')->get();

            if (sizeof($books)>0) {
                $output = ' <p>Books</p>';
            }
            $output .='
                <ul class="dropdown-menu" style="display: block; position: relative">
                ';
                foreach ($books as $row){
                    $output .= '<li><a href="'.url('show_searched_book/'.$row->book_id).'">'.$row->book_name.'</a></li><hr>';
                }


            if (sizeof($articles)>0) {
                $output .= '<p>Articles</p><hr>';
            }
            foreach ($articles as $row){
                $output .= '<li><a href="'.url('show_searched_article/'.$row->article_id).'">'.$row->article_name.'</a></li><hr>';
            }


            if (sizeof($catagories)>0) {
                $output .= '<p>Catagories</p><hr>';
            }
            foreach ($catagories as $row){
                $output .= '<li><a href="'.url('show_searched_catagory/'.$row->id).'">'.$row->catagory_name.'</a></li><hr>';
            }

            if (sizeof($authors)>0) {
                $output .= '<p>Authors</p><hr>';
            }
            foreach ($authors as $row){
                $output .= '<li><a href="'.url('show_searched_author/'.$row->id).'">'.$row->author_name.'</a></li><hr>';
            }


            $output.='
                </ul>
            ';

            echo $output;
        }

    }

    /*
     * showing searched books
     * */
    public function showSearchedBook($book_id){
        $items = Book::select('*')->where('book_id',$book_id)->get();
        return view('web.searched_book', compact('items'));
    }

    /*
     * showing searched Article
     * */
    public function showSearchedArticle($article_id){
        $articles = Article::select('*')->where('article_id',$article_id)->get();
        return view('web.searched_article', compact('articles'));
    }

    /*
     * showing Article Details
     * */
    public function readArticle($article_id){
        $article_details = Article::select('*')->where('article_id',$article_id)->first();
        return view('web.read_article_details', compact('article_details'));
    }



    /*
     * showing searched Catagory
     * */
    public function showSearchedCatagory($catagory_id){
        $books = Book::select('*')->where('catagory_id',$catagory_id)->get();
        $articles = Article::select('*')->where('catagory_id',$catagory_id)->get();
        return view('web.searched_catagory', compact('books', 'articles'));
    }


    /*
     * showing searched Author
     * */
    public function showSearchedAuthor($author_id){
        $books = Book::select('*')->where('author_id',$author_id)->get();
        $articles = Article::select('*')->where('author_id',$author_id)->get();
        return view('web.searched_catagory', compact('books', 'articles'));
    }




}
