@extends('admin.layout')
@section('admin_container')



    <section class="content">
        <div class="container-fluid">

            <!-- Basic Examples -->
            <!-- #END# Basic Examples -->
            <!-- Exportable Table -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                BOOKS TABLE
                            </h2>
                            {{--<ul class="header-dropdown m-r--5">
                                <li class="dropdown">
                                    <a href="javascript:void(0);" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
                                        <i class="material-icons">more_vert</i>
                                    </a>
                                    <ul class="dropdown-menu pull-right">
                                        <li><a href="javascript:void(0);">Action</a></li>
                                        <li><a href="javascript:void(0);">Another action</a></li>
                                        <li><a href="javascript:void(0);">Something else here</a></li>
                                    </ul>
                                </li>
                            </ul>--}}
                        </div>

                        @if(session()->has('message.level'))
                            <div class="alert alert-{{ session('message.level') }}">
                                {!! session('message.content') !!}
                            </div>
                        @endif

                        <div class="body">
                            <div class="table-responsive">
                                <table class="table table-bordered table-striped table-hover dataTable ">
                                    <thead>
                                    <tr>
                                        <th>Book Name</th>
                                        <th>Author Name</th>
                                        <th>Publication Name</th>
                                        <th>Category</th>
                                        {{--<th>Sub-Category</th>--}}
                                        {{--<th>Description</th>--}}
                                        <th>Price</th>
                                        {{--<th>File</th>--}}
                                        <th>Action</th>


                                    </tr>
                                    </thead>
                                    <tfoot>
                                    <tr>
                                        <th>Book Name</th>
                                        <th>Author Name</th>
                                        <th>Publication Name</th>
                                        <th>Category</th>
                                        {{--<th>Sub-Category</th>--}}
                                        {{--<th>Description</th>--}}
                                        <th>Price</th>
                                        {{--<th>File</th>--}}
                                        <th>Action</th>


                                    </tr>
                                    </tfoot>
                                    <tbody>
                                    @foreach($books as $book)
                                        <tr>
                                            <td><a href="#" data-toggle="modal" data-target="#view-modal" data-row="1" data-id="{{$book->book_id}}" id="book_id" >{{$book->book_name}}</a></td>
                                            <td>{{$book->author_name}}</td>
                                            <td>{{$book->publication_name}}</td>
                                            <td>{{$book->catagory_name}}</td>
                                            <td>{{$book->price}}</td>
                                            <td><a href="{{url('edit_book_form/'.$book->book_id)}}"> Edit </a> / <a href="{{url('delete_book/'.$book->id)}}"> Delete </a></td>
                                        </tr>
                                    @endforeach

                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Exportable Table -->
        </div>



        <!-- income Modal -->
        <div id="view-modal" class="modal fade " tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display: none;">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">

                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                        <h4 class="modal-title">
                            <div class="col-sm-3">Book Details</div>
                        </h4>
                    </div>
                    <div class="modal-body">

                        <!-- content will be load here -->
                        <div id="dynamic-content"></div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                    </div>

                </div>
            </div>
        </div><!-- /.modal -->



    </section>


    <script>

        $(document).ready(function(){

            $(document).on('click', '#book_id', function(e){

                e.preventDefault();

                var book_id = $(this).data('id');   // it will get id of clicked row

                console.log(book_id);

                $('#dynamic-content').html(''); // leave it blank before ajax call
                $('#modal-loader').show();      // load ajax loader

                $.ajax({
                    type: 'GET',
                    url:'get_book_details_modal/'+book_id,
                    dataType: 'html'
                })
                    .done(function(data){
                        console.log(data);
                        $('#dynamic-content').html('');
                        $('#dynamic-content').html(data); // load response
                        $('#modal-loader').hide();		  // hide ajax loader
                    })
                    .fail(function(){
                        $('#dynamic-content').html('<i class="glyphicon glyphicon-info-sign"></i> Something went wrong, Please try again...');
                        $('#modal-loader').hide();
                    });

            });



        });

    </script>


@endsection
