@extends('admin.layout')
@section('admin_container')



    <section class="content">
        <div class="container-fluid">

            @if(session()->has('message.level'))
                <div class="alert alert-{{ session('message.level') }}">
                    {!! session('message.content') !!}
                </div>
            @endif



            @if(count($errors)>0)
                @foreach($errors->all() as $error)
                    <p class="alert alert-danger">{{$error}}</p>
                @endforeach
            @endif


            <form action="/edit_book_details" method="post" enctype="multipart/form-data">

                {{csrf_field()}}

                <input type="hidden" name="id" value="{{$book->id}}">
                <input type="hidden" name="book_id" value="{{$book->id}}">

                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="body">

                            <h2 class="card-inside-title">Complete Book Details</h2>
                            <div class="row ">
                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <label>Book Name</label>
                                            <input type="text" class="form-control" name="book_name" value="{{$book->book_name}}"  placeholder="Book Name" required/>
                                        </div>
                                    </div>
                                </div>
                            </div>


                            <div class="row ">
                                <div class="col-sm-12">
                                    <label>Author Name</label>
                                    <select class="form-control" name="author_id">
                                        <option value="{{$book_author->id}}" style="text-align: center;">{{$book_author->author_name}}</option>
                                        <option value="" style="text-align: center;">-- Please select Author Name --</option>
                                        @foreach($authors as $author)
                                            <option value="{{$author->id}}">{{$author->author_name}}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>

                            <h3 style="text-align: center;">Or</h3>


                            <div class="row ">
                                <div class="col-sm-12">
                                    <div class="form-group" >
                                        <div class="form-line">
                                            <label>Author Name (If Not In the list) </label>
                                            <input type="text" class="form-control" name="author_name"  placeholder="Author Name If Not In the list" />
                                        </div>
                                    </div>
                                </div>
                            </div>



                            <div class="row ">
                                <div class="col-sm-12">
                                    <label>Publication Name</label>
                                    <select class="form-control show-tick" name="publication_id">
                                        <option value="{{$book_publication->id}}" style="text-align: center;">{{$book_publication->publication_name}}</option>
                                        <option value="" style="text-align: center;">-- Please select Publication Name --</option>

                                        @foreach($publications as $publication)
                                            <option value="{{$publication->id}}">{{$publication->publication_name}}</option>
                                        @endforeach

                                    </select>
                                </div>
                            </div>


                            <h3 style="text-align: center;">Or</h3>


                            <div class="row ">
                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <label>Publication Name (If Not In the list) </label>
                                            <input type="text" class="form-control" name="publication_name"  placeholder="Publication Name (If Not In the list)" />
                                        </div>
                                    </div>
                                </div>
                            </div>



                            <h2 class="card-inside-title" style="text-align: center;">Other Details</h2>
                            <br>


                            <div class="row ">
                                <div class="col-sm-12">
                                    <label>Category</label>
                                    <select class="form-control show-tick" id="catagory" name="catagory">
                                        <option value="{{$cat->id}}" style="text-align: center;">{{$cat->catagory_name}}</option>
                                        @foreach($catagories as $catagory)
                                            <option value="{{$catagory->id}}">{{$catagory->catagory_name}}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>



                            <div class="row ">
                                <div class="col-sm-12">
                                    <label>Sub Category</label>
                                    <select name="sub_catagory" id="sub_catagory" class="form-control show-tick">
                                        <option value="{{$book_catagory->id}}" style="text-align: center;">{{$book_catagory->catagory_name}}</option>
                                    </select>
                                </div>
                            </div>

                            <div class="row ">
                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <label>Price </label>
                                            <input type="text" class="form-control" name="price"  placeholder="Price" value="{{$book->price}}" required/>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row ">
                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <label>Description </label>
                                            <textarea name="description" cols="30" rows="5" placeholder="Description" class="form-control no-resize" required>{{$book->description}}</textarea>
                                        </div>
                                    </div>
                                </div>
                            </div>


                            <div class="row ">
                                <div class="col-sm-12">
                                    <label>Tags</label>
                                    <select name="tags[]" class="mdb-select md-form form-control" multiple >
                                        <option value="">Tags</option>
                                        {{--@include('country')--}}
                                        @foreach($tags as $tag)
                                            <option value="{{$tag['id']}}"  <?php echo in_array($tag['id'], $all_tags) ? 'selected' : ''?>>{{$tag['catagory_name']}}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>


                            <input type="hidden" name="old_image_folder" value="{{$book->image_folder}}">
                            <input type="hidden" name="old_image_name" value="{{$book->image_name}}">
                            <input type="hidden" name="old_pdf_folder" value="{{$book->pdf_folder}}">
                            <input type="hidden" name="old_pdf_name" value="{{$book->pdf_name}}">

                            <h5>Upload Image(Image size should not more than 600px 400px)</h5>
                            <div >
                                <input type="file" name="image" id="image" class="btn" style="float: left; margin-right: 10px"/>
                                {{$book->image_name}}
                            </div>
                            <br>

                            <h5>Upload Book PDF</h5>
                            <div >
                                <input type="file" name="book_pdf" id="pdf" class="btn" style="float: left; margin-right: 10px"/>
                                {{$book->pdf_name}}
                            </div>

                            <br>

                            <div class="row">
                                <div class="col-sm-4">
                                    <input type="submit" name="submit" class="btn btn-primary" value="Submit" />
                                </div>
                            </div>

                        </div>


                    </div>
                </div>

            </form>


        </div>
    </section>


    <script type="text/javascript">

        $(document).ready(function() {
            $('#catagory').on('change', function () {
                var catagoryID = $(this).val();

                console.log(catagoryID);
                if (catagoryID) {
                    $.ajax({
                        type: 'GET',
                        url: '../get_sub_catagories/'+catagoryID,
                        success: function (html) {
                            console.log(html);
                            $('#sub_catagory').html(html);
                            $("#sub_catagory").html(html).selectpicker('refresh');
                        }
                    });
                } else {
                    $('#sub_catagory').html('<option value="">Select Sub Catagory</option>');
                }
            });
        });

    </script>


@endsection
