@extends('admin.layout')
@section('admin_container')



    <section class="content">
        <div class="container-fluid">

            @if(session()->has('message.level'))
                <div class="alert alert-{{ session('message.level') }}">
                    {!! session('message.content') !!}
                </div>
            @endif



            @if(count($errors)>0)
                @foreach($errors->all() as $error)
                    <p class="alert alert-danger">{{$error}}</p>
                @endforeach
            @endif


            <form action="/create_new_book" method="post" enctype="multipart/form-data">

                {{csrf_field()}}

                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="body">

                            <h2 class="card-inside-title">Complete Book Details</h2>
                            <div class="row ">
                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <label>Book Name</label>
                                            <input type="text" class="form-control" name="course_title"  placeholder="Book Name" required/>
                                        </div>
                                    </div>
                                </div>
                            </div>


                            <div class="row ">
                                <div class="col-sm-12">
                                    <label>Author Name</label>
                                    <select class="form-control">
                                        <option value="" style="text-align: center;">-- Please select Author Name --</option>
                                        <option value="kazi">Kazi Nazrul Islam</option>
                                        <option value="rabindranath">Rabindra Nath Tagore</option>
                                        <option value="shamsurrahman">Samsur Rahman</option>

                                    </select>
                                </div>
                            </div>

                            <h3 style="text-align: center;">Or</h3>


                            <div class="row ">
                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <label>Author Name (If Not In the list) </label>
                                            <input type="text" class="form-control" name="presenter_name"  placeholder="Author Name If Not In the list" required/>
                                        </div>
                                    </div>
                                </div>
                            </div>



                            <div class="row ">
                                <div class="col-sm-12">
                                    <label>Publication Name</label>
                                    <select class="form-control show-tick">
                                        <option value="" style="text-align: center;">-- Please select Publication Name --</option>
                                        <option value="agrani">Agrani</option>
                                        <option value="jagoroni">Jagoroni</option>
                                        <option value="ekushe">Ekushe</option>

                                    </select>
                                </div>
                            </div>


                            <h3 style="text-align: center;">Or</h3>


                            <div class="row ">
                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <label>Publication Name (If Not In the list) </label>
                                            <input type="text" class="form-control" name="presenter_name"  placeholder="Publication Name (If Not In the list)" required/>
                                        </div>
                                    </div>
                                </div>
                            </div>



                            <h2 class="card-inside-title" style="text-align: center;">Other Details</h2>
                            <br>


                            <div class="row ">
                                <div class="col-sm-12">
                                    <label>Category</label>
                                    <select class="form-control show-tick">
                                        <option value="" style="text-align: center;">-- Please select category --</option>
                                        <option value="story">Story</option>
                                        <option value="poem">Poem</option>
                                        <option value="liturature">Liturature</option>

                                    </select>
                                </div>
                            </div>

                            <div class="row ">
                                <div class="col-sm-12">
                                    <label>Sub Category</label>
                                    <select class="form-control show-tick">
                                        <option value="" style="text-align: center;">-- Please select sub category --</option>
                                        <option value="child">Child</option>
                                        <option value="Sciencefiction">Science Fiction</option>
                                        <option value="war">War</option>

                                    </select>
                                </div>
                            </div>

                            <div class="row ">
                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <label>Price </label>
                                            <input type="text" class="form-control" name="presenter_name"  placeholder="Price" required/>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row ">
                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <label>Description </label>
                                            <textarea name="description" cols="30" rows="5" placeholder="Description" class="form-control no-resize" required></textarea>
                                        </div>
                                    </div>
                                </div>
                            </div>




                            <h5>Upload Image(Image size should not more than 600px 400px)</h5>
                            <input type="file" name="image" id="image" class="btn"/>


                            <br>

                            <div class="row">
                                <div class="col-sm-4">
                                    <input type="submit" name="submit" class="btn btn-primary" value="Submit" />
                                </div>
                            </div>

                        </div>


                    </div>
                </div>

            </form>


        </div>
    </section>



@endsection
