<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

/*  Website routes  */
Route::get('/', 'WebController@showIndex')->name('index');
Route::get('/read_books', 'WebController@showReadBooksPage')->name('bookreader');
//Route::get('/article_details/{article_id}', 'WebController@showReadArticleDetails')->name('bookreader');
Route::get('/show_article_details/{article_id}', 'WebController@showArticleDetails')->name('bookreader');
Route::get('/get_articles_by_catagory/{catatgory_id}', 'WebController@getArticlesByCatagory')->name('bookreader');
Route::get('/book_review', 'WebController@showBookReviewPage')->name('book_review');
Route::get('/biography', 'WebController@showBiographyPage')->name('biography');
Route::get('/bookshelf', 'WebController@showBookshelfPage')->name('bookshelf');
/*
Route::get('/quoran', 'WebController@showQuoran')->name('bookreader');
Route::get('/hadis', 'WebController@showHadis')->name('bookreader');
Route::get('/akayed', 'WebController@showAkayed')->name('bookreader');
Route::get('/fikah', 'WebController@showFikah')->name('bookreader');
Route::get('/history', 'WebController@showHistory')->name('bookreader');
Route::get('/bio', 'WebController@showBio')->name('bookreader');*/
Route::get('/review_book_details/{book_id}', 'WebController@showReviewBookDetails')->name('bookreader');
Route::get('/show_book/{book_id}', 'WebController@showBook')->name('bookreader');
Route::get('/writer_details/{author_id}/{book_id}', 'WebController@showWriterDetails')->name('bookreader');
Route::get('/writer_details/{author_id}', 'WebController@showWriterDetails1')->name('bookreader');
Route::get('/show_writer_book/{book_name}', 'WebController@showWriterBook')->name('bookreader');
Route::post('/search_book', 'WebController@searchBook');
Route::get('/show_searched_book/{book_id}', 'WebController@showSearchedBook');
Route::get('/show_searched_article/{article_id}', 'WebController@showSearchedArticle');
Route::get('/show_searched_catagory/{catagory_id}', 'WebController@showSearchedCatagory');
Route::get('/show_searched_author/{author_id}', 'WebController@showSearchedAuthor');
Route::get('/read_article/{article_id}', 'WebController@readArticle');





/* ADMIN ROUTES  */
Route::get('/home', 'AdminController@showHomePage')->name('home');
Route::get('/book_details_form', 'AdminController@showBookDetailsForm')->name('book_details');
Route::get('/create_article_form', 'AdminController@showCreateArticleForm')->name('book_details');
Route::post('/create_new_book', 'AdminController@CreateNewBook')->name('book_details');
Route::post('/create_new_article', 'AdminController@CreateNewArticle')->name('book_details');
Route::get('/admin_book_details', 'AdminController@showBookDetails')->name('book_details');
Route::get('/get_book_details_modal/{book_id}', 'AdminController@getBookDetailsForModal')->name('book_details');
Route::get('/edit_book_form/{book_id}', 'AdminController@showEditBookForm')->name('book_details');
Route::post('/edit_book_details', 'AdminController@editBookDetails')->name('book_details');
Route::get('/delete_book/{book_id}', 'AdminController@deleteBook')->name('book_details');
Route::get('/admin_pending_requests', 'AdminController@showPendingRequests')->name('user_info');
Route::get('/register_form', 'AdminController@showRegisterForm')->name('user_info');
Route::get('/reviews_admin', 'AdminController@showBookReviews')->name('user_info');
Route::get('/pending_contacts', 'AdminController@showPendingContactUs')->name('user_info');

Route::get('/create_author_form', 'AdminController@showCreateAuthorForm')->name('create_author');
Route::post('/create_author', 'AdminController@CreateAuthor')->name('create_author');
Route::get('/create_publication_form', 'AdminController@showCreatePublicationForm')->name('create_publication');
Route::post('/create_publication', 'AdminController@CreatePublication')->name('create_publication');
Route::get('/create_catagory_form', 'AdminController@showCreateCatagoryForm')->name('create_catagory');
Route::post('/create_catagory', 'AdminController@CreateCatagory')->name('create_catagory');
Route::get('/get_sub_catagories/{parent_id}', 'AdminController@getSubCatagories');
Route::post('/create_sub_catagory', 'AdminController@CreateSubCatagory')->name('create_catagory');




/*  AUTHOR  */
Route::get('/author', 'AuthorController@showHomePage')->name('home');
Route::get('/author_create_book', 'AuthorController@showBookDetailsForm')->name('home');
Route::get('/author_book_details', 'AuthorController@showBookDetails')->name('book_details');
Route::get('/author_pending_review', 'AuthorController@showPendingReviews')->name('user_info');
Route::get('/author_contact_us', 'AuthorController@showPendingContactUs')->name('user_info');
Route::get('/author_profile', 'AuthorController@showAuthorProfile')->name('user_info');



/*  USER  */
Route::get('/user', 'UserController@showHomePage')->name('home');




