<?php $__env->startSection('admin_container'); ?>



    <section class="content">
        <div class="container-fluid">

            <?php if(session()->has('message.level')): ?>
                <div class="alert alert-<?php echo e(session('message.level')); ?>">
                    <?php echo session('message.content'); ?>

                </div>
            <?php endif; ?>



            <?php if(count($errors)>0): ?>
                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <p class="alert alert-danger"><?php echo e($error); ?></p>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endif; ?>


            <form action="/create_new_article" method="post" >

                <?php echo e(csrf_field()); ?>


                <input type="hidden" name="article_id" value="<?php echo e($next_id); ?>">

                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="body">

                            <h2 class="card-inside-title">Complete Article Details</h2>
                            <div class="row ">
                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <label>Article Name</label>
                                            <input type="text" class="form-control" name="article_name"  placeholder="Article Name" required/>
                                        </div>
                                    </div>
                                </div>
                            </div>


                            <div class="row ">
                                <div class="col-sm-12">
                                    <label>Author Name</label>
                                    <select class="form-control" name="author_id">
                                        <option value="" style="text-align: center;">-- Please select Author Name --</option>

                                        <?php $__currentLoopData = $authors; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $author): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($author->id); ?>"><?php echo e($author->author_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>

                            <h3 style="text-align: center;">Or</h3>


                            <div class="row ">
                                <div class="col-sm-12">
                                    <div class="form-group" >
                                        <div class="form-line">
                                            <label>Author Name (If Not In the list) </label>
                                            <input type="text" class="form-control" name="author_name"  placeholder="Author Name If Not In the list" />
                                        </div>
                                    </div>
                                </div>
                            </div>



                            <div class="row ">
                                <div class="col-sm-12">
                                    <div class="form-group" >
                                        <div class="form-line">
                                            <label>Publishing Date </label>
                                            <input type="text" class="form-control" name="published_date"  placeholder="Publishing Date" />
                                        </div>
                                    </div>
                                </div>
                            </div>


                            <div class="row ">
                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <label>Short Description </label>
                                            <textarea name="description" cols="30" rows="5" placeholder="Short Description" class="form-control no-resize" required></textarea>
                                        </div>
                                    </div>
                                </div>
                            </div>


                            <div class="row ">
                                <div class="col-sm-12">
                                    <label>Category</label>
                                    <select class="form-control show-tick" id="catagory1" name="catagory">
                                        <option value="" style="text-align: center;">-- Please select category --</option>
                                        <?php $__currentLoopData = $catagories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $catagory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($catagory->id); ?>"><?php echo e($catagory->catagory_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>



                            <div class="row ">
                                <div class="col-sm-12">
                                    <label>Sub Category</label>
                                    <select name="sub_catagory" id="sub_catagory1" class="form-control show-tick">
                                        <option value="" style="text-align: center;">-- Please select sub category --</option>
                                    </select>
                                </div>
                            </div>


                            <div class="row ">
                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <label>Article </label>
                                            <textarea name="article" cols="30" rows="5" placeholder="Article" class="form-control no-resize" required></textarea>
                                        </div>
                                    </div>
                                </div>
                            </div>


                            <div class="row ">
                                <div class="col-sm-12">
                                    <label>Tags</label>
                                    <select name="tags[]" class="mdb-select md-form form-control" multiple >
                                        <option value="">Tags</option>
                                        
                                        <?php $__currentLoopData = $tags; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tag): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($tag['id']); ?>"><?php echo e($tag['catagory_name']); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>


                            <div class="row">
                                <div class="col-sm-4">
                                    <input type="submit" name="submit" class="btn btn-primary" value="Submit" />
                                </div>
                            </div>

                        </div>


                    </div>
                </div>

            </form>


        </div>
    </section>



    <script type="text/javascript">

        $(document).ready(function() {
            $('#catagory1').on('change', function () {
                var catagoryID = $(this).val();

                console.log(catagoryID);
                if (catagoryID) {
                    $.ajax({
                        type: 'GET',
                        url: 'get_sub_catagories/'+catagoryID,
                        success: function (html) {
                            console.log(html);
                            $('#sub_catagory1').html(html);
                            $("#sub_catagory1").html(html).selectpicker('refresh');
                        }
                    });
                } else {
                    $('#sub_catagory').html('<option value="">Select Sub Catagory</option>');
                }
            });
        });

    </script>



<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\XAMPP\htdocs\GronthoNir\resources\views/admin/create_article.blade.php ENDPATH**/ ?>